# Real-time predictions

> Real-time predictions - Use the endpoints described below to manage predictions information.

This Markdown file sits beside the HTML page at the same path (with a `.md` suffix). It summarizes the topic and lists links for tools and LLM context.

Companion generated at `2026-05-06T18:17:09.785831+00:00` (UTC).

## Primary page

- [Real-time predictions](https://docs.datarobot.com/en/docs/api/reference/public-api/predictions_info.html): Full documentation for this topic (HTML).

## Sections on this page

- [List prediction servers](https://docs.datarobot.com/en/docs/api/reference/public-api/predictions_info.html#list-prediction-servers): In-page section heading.
- [Parameters](https://docs.datarobot.com/en/docs/api/reference/public-api/predictions_info.html#predictionservers_list-parameters): In-page section heading.
- [Example responses](https://docs.datarobot.com/en/docs/api/reference/public-api/predictions_info.html#example-responses): In-page section heading.
- [Responses](https://docs.datarobot.com/en/docs/api/reference/public-api/predictions_info.html#responses): In-page section heading.
- [BatchPredictionStatus](https://docs.datarobot.com/en/docs/api/reference/public-api/predictions_info.html#tocS_BatchPredictionStatus): In-page section heading.
- [Properties](https://docs.datarobot.com/en/docs/api/reference/public-api/predictions_info.html#properties): In-page section heading.
- [PredictionServerListResponse](https://docs.datarobot.com/en/docs/api/reference/public-api/predictions_info.html#tocS_PredictionServerListResponse): In-page section heading.
- [Properties](https://docs.datarobot.com/en/docs/api/reference/public-api/predictions_info.html#properties_1): In-page section heading.
- [PredictionServerResponse](https://docs.datarobot.com/en/docs/api/reference/public-api/predictions_info.html#tocS_PredictionServerResponse): In-page section heading.
- [Properties](https://docs.datarobot.com/en/docs/api/reference/public-api/predictions_info.html#properties_2): In-page section heading.

## Related documentation

- [Developer documentation](https://docs.datarobot.com/en/docs/api/index.html): Linked from this page.
- [API reference](https://docs.datarobot.com/en/docs/api/reference/index.html): Linked from this page.
- [REST API](https://docs.datarobot.com/en/docs/api/reference/public-api/index.html): Linked from this page.
- [Predictions](https://docs.datarobot.com/en/docs/api/reference/public-api/tag-predictions.html): Linked from this page.

## Documentation content

Use the endpoints described below to manage predictions information.

## List prediction servers

Operation path: `GET /api/v2/predictionServers/`

Authentication requirements: `BearerAuth`

The list of prediction servers available for a user.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| offset | query | integer | false | This many results will be skipped. |
| limit | query | integer | false | At most this many results are returned. |

### Example responses

> 200 Response

```
{
  "properties": {
    "count": {
      "description": "The number of items returned on this page.",
      "type": "integer"
    },
    "data": {
      "description": "The list of prediction servers.",
      "items": {
        "properties": {
          "batchPredictions": {
            "description": "The batch prediction status for this instance.",
            "properties": {
              "processing": {
                "description": "The number of jobs processing.",
                "minimum": 0,
                "type": "integer"
              },
              "queued": {
                "description": "The number of jobs queued.",
                "minimum": 0,
                "type": "integer"
              }
            },
            "required": [
              "processing",
              "queued"
            ],
            "type": "object"
          },
          "datarobot-key": {
            "description": "The `datarobot-key` header used in requests to this prediction server.",
            "type": [
              "string",
              "null"
            ]
          },
          "id": {
            "description": "The ID of the prediction server.",
            "type": [
              "string",
              "null"
            ]
          },
          "url": {
            "description": "The URL of the prediction server.",
            "type": "string"
          }
        },
        "required": [
          "batchPredictions",
          "datarobot-key",
          "id",
          "url"
        ],
        "type": "object"
      },
      "type": "array"
    },
    "next": {
      "description": "The URL of the next page (if null, there is no next page).",
      "format": "uri",
      "type": [
        "string",
        "null"
      ]
    },
    "previous": {
      "description": "The URL of the previous page (if null, there is no previous page).",
      "format": "uri",
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "data",
    "next",
    "previous"
  ],
  "type": "object"
}
```

### Responses

| Status | Meaning | Description | Schema |
| --- | --- | --- | --- |
| 200 | OK | none | PredictionServerListResponse |

# Schemas

## BatchPredictionStatus

```
{
  "description": "The batch prediction status for this instance.",
  "properties": {
    "processing": {
      "description": "The number of jobs processing.",
      "minimum": 0,
      "type": "integer"
    },
    "queued": {
      "description": "The number of jobs queued.",
      "minimum": 0,
      "type": "integer"
    }
  },
  "required": [
    "processing",
    "queued"
  ],
  "type": "object"
}
```

The batch prediction status for this instance.

### Properties

| Name | Type | Required | Restrictions | Description |
| --- | --- | --- | --- | --- |
| processing | integer | true | minimum: 0 | The number of jobs processing. |
| queued | integer | true | minimum: 0 | The number of jobs queued. |

## PredictionServerListResponse

```
{
  "properties": {
    "count": {
      "description": "The number of items returned on this page.",
      "type": "integer"
    },
    "data": {
      "description": "The list of prediction servers.",
      "items": {
        "properties": {
          "batchPredictions": {
            "description": "The batch prediction status for this instance.",
            "properties": {
              "processing": {
                "description": "The number of jobs processing.",
                "minimum": 0,
                "type": "integer"
              },
              "queued": {
                "description": "The number of jobs queued.",
                "minimum": 0,
                "type": "integer"
              }
            },
            "required": [
              "processing",
              "queued"
            ],
            "type": "object"
          },
          "datarobot-key": {
            "description": "The `datarobot-key` header used in requests to this prediction server.",
            "type": [
              "string",
              "null"
            ]
          },
          "id": {
            "description": "The ID of the prediction server.",
            "type": [
              "string",
              "null"
            ]
          },
          "url": {
            "description": "The URL of the prediction server.",
            "type": "string"
          }
        },
        "required": [
          "batchPredictions",
          "datarobot-key",
          "id",
          "url"
        ],
        "type": "object"
      },
      "type": "array"
    },
    "next": {
      "description": "The URL of the next page (if null, there is no next page).",
      "format": "uri",
      "type": [
        "string",
        "null"
      ]
    },
    "previous": {
      "description": "The URL of the previous page (if null, there is no previous page).",
      "format": "uri",
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "data",
    "next",
    "previous"
  ],
  "type": "object"
}
```

### Properties

| Name | Type | Required | Restrictions | Description |
| --- | --- | --- | --- | --- |
| count | integer | false |  | The number of items returned on this page. |
| data | [PredictionServerResponse] | true |  | The list of prediction servers. |
| next | string,null(uri) | true |  | The URL of the next page (if null, there is no next page). |
| previous | string,null(uri) | true |  | The URL of the previous page (if null, there is no previous page). |

## PredictionServerResponse

```
{
  "properties": {
    "batchPredictions": {
      "description": "The batch prediction status for this instance.",
      "properties": {
        "processing": {
          "description": "The number of jobs processing.",
          "minimum": 0,
          "type": "integer"
        },
        "queued": {
          "description": "The number of jobs queued.",
          "minimum": 0,
          "type": "integer"
        }
      },
      "required": [
        "processing",
        "queued"
      ],
      "type": "object"
    },
    "datarobot-key": {
      "description": "The `datarobot-key` header used in requests to this prediction server.",
      "type": [
        "string",
        "null"
      ]
    },
    "id": {
      "description": "The ID of the prediction server.",
      "type": [
        "string",
        "null"
      ]
    },
    "url": {
      "description": "The URL of the prediction server.",
      "type": "string"
    }
  },
  "required": [
    "batchPredictions",
    "datarobot-key",
    "id",
    "url"
  ],
  "type": "object"
}
```

### Properties

| Name | Type | Required | Restrictions | Description |
| --- | --- | --- | --- | --- |
| batchPredictions | BatchPredictionStatus | true |  | The batch prediction status for this instance. |
| datarobot-key | string,null | true |  | The datarobot-key header used in requests to this prediction server. |
| id | string,null | true |  | The ID of the prediction server. |
| url | string | true |  | The URL of the prediction server. |
